#include <bits/stdc++.h>
using namespace std;

int main(){
    int n;
    scanf("%d", &n);

    int A[n];

    for(int i = 0;i < n;i++){
        scanf("%d", &A[i]);
    }

    int q;
    scanf("%d", &q);

    int l[q], r[q];
    for(int i = 0;i < q;i++){
        scanf("%d %d", &l[i], &r[i]);
    }

    int brNOP;

    for(int i = 0;i < q;i++){
        brNOP = 0;

        for(int j = l[i];j < r[i];j++){
            if(A[j-1] > A[j]){
                brNOP++;
            }
        }

        if(brNOP > 1)
            printf("NE\n");

        else
            printf("DA\n");
    }

    return 0;
}